# Draw
TKDCAF
DDataStd

# DDataStd_DrawPresentation Class Reference

draw presentaion of a label of a document

`#include <DDataStd_DrawPresentation.hxx>`

## Public Member Functions

Standard_EXPORT | DDataStd_DrawPresentation ()
Standard_EXPORT void | SetDisplayed (const Standard_Boolean status)
Standard_EXPORT Standard_Boolean | IsDisplayed () const
Standard_EXPORT void | SetDrawable (const Handle(Draw_Drawable3D)&D)
Standard_EXPORT Handle_Draw_Drawable3D | GetDrawable () const
Standard_EXPORT const Standard_GUID & | ID () const
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&with)
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&into, const Handle(TDF_RelocationTable)&RT) const
| call backs for viewer updating ==============================
virtual Standard_EXPORT void | AfterAddition ()
virtual Standard_EXPORT void | BeforeRemoval ()
virtual Standard_EXPORT void | BeforeForget ()
virtual Standard_EXPORT void | AfterResume ()
virtual Standard_EXPORT Standard_Boolean | BeforeUndo (const Handle(TDF_AttributeDelta)&anAttDelta, const Standard_Boolean forceIt=Standard_False)
virtual Standard_EXPORT Standard_Boolean | AfterUndo (const Handle(TDF_AttributeDelta)&anAttDelta, const Standard_Boolean forceIt=Standard_False)
| update draw viewer according to delta //! private methods ===============
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT Standard_Boolean | HasPresentation (const TDF_Label &L)
| api methods on draw presentation ================================
static Standard_EXPORT Standard_Boolean | IsDisplayed (const TDF_Label &L)
static Standard_EXPORT void | Display (const TDF_Label &L)
static Standard_EXPORT void | Erase (const TDF_Label &L)
static Standard_EXPORT void | Update (const TDF_Label &L)
| attribute implementation ========================
static Standard_EXPORT const Standard_GUID & | GetID ()

## Private Member Functions

Standard_EXPORT void | DrawBuild ()

## Static Private Member Functions

static Standard_EXPORT void | DrawDisplay (const TDF_Label &L, const Handle(DDataStd_DrawPresentation)&P)
static Standard_EXPORT void | DrawErase (const TDF_Label &L, const Handle(DDataStd_DrawPresentation)&P)

## Private Attributes

Standard_Boolean | isDisplayed
Handle_Draw_Drawable3D | myDrawable

## Constructor & Destructor Documentation

Standard_EXPORT DDataStd_DrawPresentation::DDataStd_DrawPresentation | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT void DDataStd_DrawPresentation::AfterAddition | ( |  | ) | `[virtual]`

virtual Standard_EXPORT void DDataStd_DrawPresentation::AfterResume | ( |  | ) | `[virtual]`

virtual Standard_EXPORT Standard_Boolean DDataStd_DrawPresentation::AfterUndo | ( | const Handle(TDF_AttributeDelta)& | anAttDelta,
|  | const Standard_Boolean | forceIt = `Standard_False`
| ) | `[virtual]`

virtual Standard_EXPORT void DDataStd_DrawPresentation::BeforeForget | ( |  | ) | `[virtual]`

virtual Standard_EXPORT void DDataStd_DrawPresentation::BeforeRemoval | ( |  | ) | `[virtual]`

virtual Standard_EXPORT Standard_Boolean DDataStd_DrawPresentation::BeforeUndo | ( | const Handle(TDF_AttributeDelta)& | anAttDelta,
|  | const Standard_Boolean | forceIt = `Standard_False`
| ) | `[virtual]`

static Standard_EXPORT void DDataStd_DrawPresentation::Display | ( | const TDF_Label & | L | ) | `[static]`

Standard_EXPORT void DDataStd_DrawPresentation::DrawBuild | ( |  | ) | `[private]`

static Standard_EXPORT void DDataStd_DrawPresentation::DrawDisplay | ( | const TDF_Label & | L,
|  | const Handle(DDataStd_DrawPresentation)& | P
| ) | `[static, private]`

static Standard_EXPORT void DDataStd_DrawPresentation::DrawErase | ( | const TDF_Label & | L,
|  | const Handle(DDataStd_DrawPresentation)& | P
| ) | `[static, private]`

static Standard_EXPORT void DDataStd_DrawPresentation::Erase | ( | const TDF_Label & | L | ) | `[static]`

Standard_EXPORT Handle_Draw_Drawable3D DDataStd_DrawPresentation::GetDrawable | ( |  | ) | const

static Standard_EXPORT const Standard_GUID& DDataStd_DrawPresentation::GetID | ( |  | ) | `[static]`

Standard_EXPORT const DDataStd_DrawPresentation::Handle | ( | Standard_Type |  | ) | const

static Standard_EXPORT Standard_Boolean DDataStd_DrawPresentation::HasPresentation | ( | const TDF_Label & | L | ) | `[static]`

Standard_EXPORT const Standard_GUID& DDataStd_DrawPresentation::ID | ( |  | ) | const

Standard_EXPORT Standard_Boolean DDataStd_DrawPresentation::IsDisplayed | ( |  | ) | const

static Standard_EXPORT Standard_Boolean DDataStd_DrawPresentation::IsDisplayed | ( | const TDF_Label & | L | ) | `[static]`

Standard_EXPORT Handle_TDF_Attribute DDataStd_DrawPresentation::NewEmpty | ( |  | ) | const

Standard_EXPORT void DDataStd_DrawPresentation::Paste | ( | const Handle(TDF_Attribute)& | into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const

Standard_EXPORT void DDataStd_DrawPresentation::Restore | ( | const Handle(TDF_Attribute)& | with | ) |

Standard_EXPORT void DDataStd_DrawPresentation::SetDisplayed | ( | const Standard_Boolean | status | ) |

Standard_EXPORT void DDataStd_DrawPresentation::SetDrawable | ( | const Handle(Draw_Drawable3D)& | D | ) |

static Standard_EXPORT void DDataStd_DrawPresentation::Update | ( | const TDF_Label & | L | ) | `[static]`

## Field Documentation

Standard_Boolean DDataStd_DrawPresentation::isDisplayed `[private]`

Handle_Draw_Drawable3D DDataStd_DrawPresentation::myDrawable `[private]`

The documentation for this class was generated from the following file:

- DDataStd_DrawPresentation.hxx